Loading...
Searching...
No Matches
network.Server Class Reference

Listen on a network port and accept connections. More...

Collaboration diagram for network.Server:
[legend]

## Public Member Functions

| close (self)
| Stop the server.

## Public Attributes

str | port = ''
| Port that is listened on.
bool | ipv6 = False
| Whether the server listens for IPv6.
bool | tls = tls
| False or the hostname for which the TLS keys are used.
| connections = set()
| Currently active connections for this server.
| disconnect_cb = disconnect_cb
| Disconnect handler, to be used for new sockets.

## Detailed Description

Listen on a network port and accept connections.

Definition at line 464 of file network.py.

The documentation for this class was generated from the following file:

- network.py